<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Activity A Title - SE Code of Ethics</title>
</head>
<body>
    <!-- Header -->
    <p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>
    <hr>
    
    <!-- Headline -->
    <h1>Software Engineering Code of Ethics and Professional Practice</h1>

    <!-- Headline 2 -->
    <h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices</h3>
    <hr>

    <!-- Keywords -->
    <p><strong>Keywords</strong>: code of ethics, professional responsibility, software engineering</p>

    <!-- headline for preamble -->
    <h3>PREAMBLE</h3>
    <!-- preamble contents -->
    <p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that are included in the full version give examples and details of how these aspirations change the way we act as software engineering professionals. Without the aspirations, the details can become legalistic and tedious; without the detauks, the aspirations can become high-sounding but empty; together, the aspirations and the details form a cohesive<br><br> Software engineers shall commit themselves to making the analysis, specification, design, development, testing, and maintenance of software a beneficial and respected profession. In acordance with their commmitment to the health, safety, and welfare of the public, software engineers shall adhere to the following eight Principles:</p>

    <!-- Headline for principles -->
    <h3>PRINCIPLES</h3>
    <!-- Ordered list for principle -->
    <ol type="1">
        <!-- Principle item lists -->
        <li><em>Public</em>. Software engineers shall act consistently with the public interest.</li>
        <li><em>Client and employer</em>. Software engineers shall act in a manner that is in the best interests of their client and employer, consistent with the public interest.</li>
        <li><em>Product</em>. Software engineers shall ensure that their product and related modifications meet the highest professional standards possible.</li>
        <li><em>Judgement</em>. Software engineers shall maintain integrity and independence in their professional judgement.</li>
        <li><em>Management</em>. Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
        <li><em>Profession</em>. Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
        <li><em>Colleagues</em>. Sofware engineers shall be fair to and supportive of their colleagues.</li>
        <li><em>Self</em>. Sofware engineers shall participate in lifelong learning regarding the practice of their profession and shall promote and thical approach to the practice of the profession.s</li>
    </ol>
</body>
</html>